Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class MonitorAsteriskGraph

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--uk.co.westhawk.examplev2c.MonitorAsteriskGraph

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.util.Observer, java.lang.Runnable, java.io.Serializable, java.awt.event.WindowListener

public class MonitorAsteriskGraph
extends javax.swing.JPanel
implements java.util.Observer, java.lang.Runnable, java.awt.event.WindowListener

This class is written to test the Asterisk host functionality.

It walks the tree by creating a new AsteriskChanTablePdu out off the previous one, and it collects the values of all the channels.

The information will be printed to System.out .

The host, port, community name and sockettype can be configured in the properties file. The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `MonitorAsteriskGraph.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.2 $ $Date: 2006/06/19 10:52:16 $
Author:
  Birgit Arkesteijn
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACHAN`
`static java.lang.String` | `COLOUR`
`static java.lang.String` | `CTYPE`
`static java.lang.String` | `EDGES`
`static java.lang.String` | `FONT`
`static java.lang.String` | `GNAME`
`static java.lang.String` | `ISACT`
`static java.lang.String` | `LAYOUT`
`static java.lang.String` | `NODES`
`static java.lang.String` | `REPAINT`
`static long` | `SLEEPTIME` Use 2 (sec) as interval

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MonitorAsteriskGraph(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `freeResources()`
`void` | `getActiveChannels(SnmpContextBasisFace con, AsteriskChanTablePdu prev)` Sends a request, asking for the active channels.
`void` | `getChannelTypes(SnmpContextBasisFace con, AsteriskChanTypeTablePdu prev)` Sends a request, asking for the channels types.
`protected void` | `handleActiveChannel(java.util.Observable obs, java.lang.Object ov)`
`protected void` | `handleActiveChannelUp(java.util.Observable obs, java.lang.Object ov)`
`protected void` | `handleChannelType(java.util.Observable obs, java.lang.Object ov)`
`void` | `init()`
`static void` | `main(java.lang.String[] args)` Main.
`protected void` | `redrawActiveChannelsInGraph()`
`void` | `run()`
`protected void` | `showActiveChannelInfo(java.lang.String channelName)`
`void` | `start()`
`protected void` | `startThread()`
`void` | `update(java.util.Observable obs, java.lang.Object ov)` Implementing the Observer interface.
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SLEEPTIME

    public static final long SLEEPTIME

  Use 2 (sec) as interval

  See Also:
    Constant Field Values

### CTYPE

    public static final java.lang.String CTYPE

See Also:
  Constant Field Values

### ACHAN

    public static final java.lang.String ACHAN

See Also:
  Constant Field Values

### ISACT

    public static final java.lang.String ISACT

See Also:
  Constant Field Values

### GNAME

    public static final java.lang.String GNAME

See Also:
  Constant Field Values

### EDGES

    public static final java.lang.String EDGES

See Also:
  Constant Field Values

### NODES

    public static final java.lang.String NODES

See Also:
  Constant Field Values

### LAYOUT

    public static final java.lang.String LAYOUT

See Also:
  Constant Field Values

### COLOUR

    public static final java.lang.String COLOUR

See Also:
  Constant Field Values

### FONT

    public static final java.lang.String FONT

See Also:
  Constant Field Values

### REPAINT

    public static final java.lang.String REPAINT

See Also:
  Constant Field Values

Constructor Detail

### MonitorAsteriskGraph

    public MonitorAsteriskGraph(java.lang.String propertiesFilename)

  Constructor.

Parameters:
  `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### getChannelTypes

    public void getChannelTypes(SnmpContextBasisFace con,
                                AsteriskChanTypeTablePdu prev)

  Sends a request, asking for the channels types. The types shouldn't change during the lifetime of the agent.

### getActiveChannels

    public void getActiveChannels(SnmpContextBasisFace con,
                                  AsteriskChanTablePdu prev)

  Sends a request, asking for the active channels. The active channels change by nature.

### start

    public void start()

### startThread

    protected void startThread()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  Implementing the Observer interface. Receiving the response from getChannelTypes() or getActiveChannels().

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `obs` - the pdu variable
    `ov` - the array of varbind (not used)
  See Also:
    `AsteriskChanTypeTablePdu`, `AsteriskChanTablePdu`, `getChannelTypes(uk.co.westhawk.snmp.stack.SnmpContextBasisFace, uk.co.westhawk.examplev2c.AsteriskChanTypeTablePdu)`, `getActiveChannels(uk.co.westhawk.snmp.stack.SnmpContextBasisFace, uk.co.westhawk.examplev2c.AsteriskChanTablePdu)`

### handleChannelType

    protected void handleChannelType(java.util.Observable obs,
                                     java.lang.Object ov)

### handleActiveChannel

    protected void handleActiveChannel(java.util.Observable obs,
                                       java.lang.Object ov)

### handleActiveChannelUp

    protected void handleActiveChannelUp(java.util.Observable obs,
                                         java.lang.Object ov)

### redrawActiveChannelsInGraph

    protected void redrawActiveChannelsInGraph()

### showActiveChannelInfo

    protected void showActiveChannelInfo(java.lang.String channelName)

### freeResources

    public void freeResources()

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### main

    public static void main(java.lang.String[] args)

  Main. To use a properties file different from `MonitorAsteriskGraph.properties`, pass the name as first argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD